Skip to main content
GET
List warehouse inventory levels

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Query Parameters

filter
string[]

Using the filtering syntax, you may filter the results using the following fields:

Product Fields:

  • id - Warehouse level item ID
  • product_id - Product entity ID
  • sku - Product SKU
  • product_name - Product name
  • product_type - Product type (normal, packaging, containers, supplies, infill)
  • product_created_at - Product creation date
  • product_updated_at - Product last update date
  • merchant_id - Merchant/website ID
  • vendor_sku - Vendor SKU
  • external_id - External product ID
  • barcode - Product barcode
  • goods_type - Goods classification
  • is_enabled - Product enabled status (default: true)
  • is_available - Product availability status
  • is_visible - Product visibility status

Inventory Fields:

  • updated_at - Inventory last updated timestamp
  • qty_allocated - Quantity allocated for orders
  • qty_reserved - Quantity reserved for picking
  • qty_picked - Quantity picked but not packed
  • qty_packed - Quantity packed but not yet shipped
  • qty_expected - Quantity expected from deliveries
  • qty_processed - Quantity processed from deliveries
  • qty_putaway - Quantity waiting to be put away
  • qty_available - Quantity available for allocation
  • qty_held - Quantity placed on hold (quarantined, damaged, expired, etc.)
  • qty_on_hand - Total physical quantity on hand
  • qty_advertised - Quantity advertised to customers
sort
string

The default sort order is descending by updated_at (sort=-updated_at).

Using the sorting syntax, the following fields are available for sorting:

  • id
  • product_id
  • warehouse_id
  • sku
  • updated_at
fields:product
enum<string>[]

Specify additional fields of the Product or Packaging* object to be included in the response.

Available options:
basic,
all,
created_at,
updated_at,
container_options,
supplies_options,
data_collection_options,
instruction_options,
infill_options,
vendor_sku,
manufacturer_part_number,
unit_level,
external_id,
barcodes,
goods_type,
is_available,
is_visible,
weight,
dimensions,
volume,
inventory,
export,
regulated_goods,
packaging,
custom_fields
fields:warehouse
enum<string>[]

Specify additional fields of the Warehouse object to be included in the response.

Available options:
basic,
all,
id,
name,
is_active,
abbreviation
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end

A cursor for use in pagination which defines the end of the next page of results, non-inclusive. For collections sorted by id this is the last id. For other sort orders use the opaque cursor provided by the previous link and meta.cursor_end of the previous page; a plain record id is also accepted and resolves to that record's position in the sort order. See paging parameters for more information on paging.

cursor_start

A cursor for use in pagination which defines the start of the next page of results. For collections sorted by id this is the starting id. For other sort orders use the opaque cursor provided by the next link and meta.cursor_start of the previous page; a plain record id is also accepted and resolves to that record's position in the sort order. See paging parameters for more information on paging.

limit
integer
default:100

A limit on the number of objects to be returned.

Required range: 1 <= x <= 1000
Example:

100

Response

List of warehouse inventory levels

collection
WarehouseLevel · object[]

A list of WarehouseLevel objects.

included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.

has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.